heap.heaptree

## Class Node

- java.lang.Object
- - list.listinterface.Element
  - - heap.heaptree.Node

-     class Node
      extends Element

  Vrchol haldy.

  Užití: Nepoužívejte mimo tuto kompilační jednotku! Zde slouží jako vrchol uvnitř stromu.

  Poznámka: Vzhledem k tomu, že neimplementuje interface, v Pascalu se neuvolňuje automaticky z paměti a proto Remove musí volat Free.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Element` | `elem` prvek, který je hodnotou vrcholu
    `protected Node` | `left` vazby na syny a otce
    `protected Node` | `parent` vazby na syny a otce
    `protected Node` | `right` vazby na syny a otce

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Node(Element aElem)` Vyrobí vrchol haldy.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `finalize()` Uvede objekt do koncového stavu, aby mohl být uvolněn z paměti.
    `Element` | `GetElement()` Vrátí prvek, který je hodnotou vrcholu.
    `Node` | `GetLeft()` Vrátí levého syna.
    `Node` | `GetParent()` Vrátí otce.
    `Node` | `GetRight()` Vrátí pravého syna.
    `void` | `SetElement(Element aElem)` Nastaví novou hodnotu vrcholu.
    `void` | `SetLeft(Node branch)` Nastaví vazbu na levého syna.
    `void` | `SetParent(Node root)` Nastaví vazbu na otce.
    `void` | `SetRight(Node branch)` Nastaví vazbu na pravého syna.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### elem

          protected Element elem

      prvek, který je hodnotou vrcholu

    - #### left

          protected Node left

      vazby na syny a otce

    - #### right

          protected Node right

      vazby na syny a otce

    - #### parent

          protected Node parent

      vazby na syny a otce

  - ### Constructor Detail

    - #### Node

          public Node(Element aElem)

      Vyrobí vrchol haldy.
      Parameters:
        `aElem` - prvek, který má být hodnotou vrcholu

  - ### Method Detail

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Uvede objekt do koncového stavu, aby mohl být uvolněn z paměti. Nepoužívejte! Volá se automaticky při destrukci.
      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable` - zděděná výjimka

    - #### GetElement

          public Element GetElement()

      Vrátí prvek, který je hodnotou vrcholu.
      Returns:
        prvek, který je hodnotou vrcholu

    - #### SetElement

          public void SetElement(Element aElem)

      Nastaví novou hodnotu vrcholu.
      Parameters:
        `aElem` - prvek, který má být novou hodnotou vrcholu

    - #### GetLeft

          public Node GetLeft()

      Vrátí levého syna.
      Returns:
        levý syn

    - #### SetLeft

          public void SetLeft(Node branch)

      Nastaví vazbu na levého syna.
      Parameters:
        `branch` - levý syn

    - #### GetRight

          public Node GetRight()

      Vrátí pravého syna.
      Returns:
        pravý syn

    - #### SetRight

          public void SetRight(Node branch)

      Nastaví vazbu na pravého syna.
      Parameters:
        `branch` - pravý syn

    - #### GetParent

          public Node GetParent()

      Vrátí otce.
      Returns:
        otec

    - #### SetParent

          public void SetParent(Node root)

      Nastaví vazbu na otce.
      Parameters:
        `root` - otec